@import url('https://fonts.googleapis.com/css2?family=Anton&display=swap');
.nav {
	margin-bottom: 0;
}

.navbar-nav>li>a {
	padding-top: 5px !important;
	padding-bottom: 5px !important;
}

.navbar {
	min-height: 40px !important
}

.nav>li.dropdown.open {
	position: static;
}

.borderBottom2 {
	border-bottom: 1px solid black;
}

#tournamentUL {
    overflow: scroll;
    height: 93vh;
    width: 98vw;
    text-align: center;
    left: 1vw;
    top: 40px;
    position: fixed;
    background: white;
    box-shadow: 0 5px 15px rgba(0,0,0,.5);
    -webkit-box-shadow: 0 3px 9px rgba(0,0,0,.5);
    border-radius: 10px;
}
#tournamentUL .container{
	width: 95vw;
}
#iframeDiv {
	position: fixed;
	top: 40px;
	width: 100%;
    height: 98%;
}
#mobileEmulator{
    position: fixed !important;
    top: 40px !important;
    width: 22% !important;
    height: 100% !important;
    right: 0px !important;
    border-left: 1px solid #1f1f1f;
    outline-color: #ffffff00 !important;
    background-image: url(/assets/img/bg-16.png);
}
#mobileEmulator:focus{
	outline-color: #ffffff00 !important;
}
#iframeDiv80{
	position: fixed;
	top: 40px;
	width: 78%;
	height: 98%;
}
#iframeDiv80>iframe {
	display: block;
	width: 100%;
	height: 96%;
	border: none;
}

#iframeDiv>iframe {
	display: block;
	width: 100%;
	height: 96%;
	border: none;
}

#navContainer {
	padding-left: 0px !important;
	padding-right: 0px !important;
	margin-left: 0px !important;
	margin-right: 0px !important;
	width:100vw;
}
#navbar{
	width:100vw;
}
.navbar-brand:hover {
	color: white !important;
	cursor: default !important;
}

.navbar-brand {
	line-height: 11px !important;
	font-size: 14px !important;
}

#cdown {
	background-color: #000;
	font-size: 12px !important;
	font-weight: 100 !important;
	font-family: monospace;
}
#cdownDiv{
	background-color: #000;
	margin-right: 10px !important;
	padding: 3px 5px !important;
	display: inline-block;
	border-radius:12px;
}
#cdownDiv a{
	color: #FFF;	
}
.badge, .label {
	vertical-align: top !important;
}

.height35 {
	height: 40px !important;
}

.exerciseNavbar {
    text-align: left !important;
    position: fixed;
    left: 158px;
    margin-top: 0px !important;
}
.liTitle{
	    display: inline-block;
    position: relative;
    top: 2px;
    font-size: 13px;
}
.liTitleStart{
	position: relative;
    top: 7px;
}
.liTitleDone{
	    position: relative;
    top: 7px;
}
.navbarE{
text-align: center;
    vertical-align: middle;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
    height: 40px;
    width: 106px;
    font-weight: 100 !important;
    color: #FFF !important;
    font-size: 12px;
}
.navbarEActive{
	background-color: #444 !important;
}
.synDivNavE:hover{
	background-color:#555;
	margin-top:1px;
}
.synDivNavE{
	background-color: #333;
	width:100%;
	height:100%;
}
.synDivNavE:after{
	width: 2em;
    height: 2.0em;
    position: absolute;
    top: 0.40em;
    left: 99%;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    content: '';
    font-size: 14px;
    z-index: 2;
    background: inherit;
    border-right: 1px solid #a4a4a4;
    border-top: 1px solid #a4a4a4;
    margin-left: -0.9280776503em;
    display: block;
}
.flexVC{
    display: flex;
    align-items: center;
}
.exerciseButtons {
	position: fixed;
	right: 8px;
	top: 7px;
}
.spanDivider{
	border: 1px solid rgba(1, 178, 252, 0.51);
    padding-top: 4px;
    padding-bottom: 6px;
}

#referenceIframe {
	width: 100%;
	height: 600px;
}

.markdownRed p{
	color:red !important;
}
.markdownGreen p{
	color: green !important;
}
.markdownError p{
	color: #af863c !important;
}

.w60 {
	width: 60%;
}

.w50 {
	width: 50%;
}

.w46 {
	width: 46%;
}

.w36 {
	width: 36%;
}

.w40 {
	width: 40%;
}

.w10 {
	width: 10%;
}

.w7 {
	width: 7%;
}

.hide {
	display: none;
}

.navbar-default .navbar-nav>li>a {
	font-weight: 100 !important;
}

.paddingTop0 {
	padding-top: 0px;
}

#exerciseInfoMD {
	text-align: left !important;
	padding-left: 15px !important;
	padding-bottom: 10px !important;
}

#exerciseInfoMD img {
	max-width: 500px;
}

#exerciseStackMD {
	text-align: left !important;
	padding-left: 15px !important;
	margin-top: -20px !important;
	padding-bottom: 10px !important;
}

#exerciseStackMD img {
	max-width: 500px;
}

.verysmall {
	font-size: 65% important!;
}

#nprogress .bar {
	height: 5px !important;
}

#nprogress .spinner {
	top: 48px !important;
}

#nprogress .spinner-icon {
	width: 30px !important;
	height: 30px !important;
}

.marginTop15 {
	margin-top: 15px;
}

.fakeButtons {
	height: 10px;
	width: 10px;
	border-radius: 50%;
	border: 1px solid #000;
	position: relative;
	top: 6px;
	left: 6px;
	background-color: #ff3b47;
	border-color: #9d252b;
	display: inline-block;
}

.fakeMinimize {
	left: 11px;
	background-color: #ffc100;
	border-color: #9d802c;
}

.fakeZoom {
	left: 16px;
	background-color: #00d742;
	border-color: #049931;
}

.fakeMenu {
	box-sizing: border-box;
	height: 25px;
	background-color: #a9a8a8;
	margin: 0 auto;
	border-top-right-radius: 5px;
	border-top-left-radius: 5px;
}

.fakeScreen {
    background-color: rgba(21, 21, 21, 0.24);
    box-sizing: border-box;
    margin: 0 auto;
    padding: 8px;
    height: 25vh;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

.fakeScreenMini {
	height: 50px !important;
	padding-top: 0px !important;
	background-color: rgba(21, 21, 21, 0.05) !important;
	padding-right: 0px;
}

.line1 {
	color: #2f464e;
	font-family: monospace;
}

.cursor1 {
	-webkit-animation: blink 1s 0s 2 forwards;
	-moz-animation: blink 1s 0s 2 forwards;
	-o-animation: blink 1s 0s 2 forwards;
	animation: blink 1s 0s 2 forwards;
}

.line2 {
	color: #08273e;
	font-weight: bold;
	font-family: monospace;
}

.cursor2 {
	-webkit-animation: blink 1s 0s 2 forwards;
	-moz-animation: blink 1s 0s 2 forwards;
	-o-animation: blink 1s 0s 2 forwards;
	animation: blink 1s 0s 2 forwards;
}

.line3 {
	color: #E09690;
}

.cursor3 {
	-webkit-animation: blink 1s 0s 2 forwards;
	-moz-animation: blink 1s 0s 2 forwards;
	-o-animation: blink 1s 0s 2 forwards;
	animation: blink 1s 0s 2 forwards;
}

.line4 {
	color: #fff;
}
.cursor4 {
  -webkit-animation: blink 1s 0s infinite;
  -moz-animation: blink 1s 0s infinite;
  -o-animation: blink 1s 0s infinite;
  animation: blink 1s 0s infinite;
}

@-webkit-keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@-moz-keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@-o-keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes blink {
  0% {
    opacity: 0;
  }
  40% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@-webkit-keyframes type {
  to {
    width: 17em;
  }
}

@-moz-keyframes type {
  to {
    width: 17em;
  }
}

@-o-keyframes type {
  to {
    width: 17em;
  }
}

@keyframes type {
  to {
    width: 17em;
  }
}
.centerBot {
    text-align: center;
    margin-bottom: 23px;
    font-size: 25px;
    margin-top: 0px;
}

.flagAreaPanel {
	height: 99%;
	padding: 5px, 10px;
}

.p65 {
	font-size: 65px;
}


.marginTopM15 {
	margin-top: -15px;
}

code {
	white-space: pre-wrap;
}

.blurFilter {
	opacity: 0.5;
}

.panel12 {
	position: relative;
}

.minimize {
	height: 40px !important;
}

.overflowHidden {
	overflow-y: hidden !important;
}

overflowScroll {
	overflow-y: scroll !important;
}

.optionalSVG {
	position: relative;
	top: -10px;
	display: inline-block;
}

.clipboardButton {
	margin-top: 2px;
	font-weight: 100;
	font-family: Raleway;
}

.exerciseSetup {
	background-color: #8080801f;
	padding-left: 13px !important;
	padding-top: 5px !important;
	padding-bottom: 5px !important;
	margin-bottom: 0px !important;
	border-bottom: 1px solid #d0ccccf2;
	margin-top: 0px !important;
}

.references {
	padding-top: 0px !important;
	padding-bottom: 5px !important;
}

.headOptional {
	border-bottom: #6d68a766 2px solid !important;
}

.optionalLabel {
	color: #6d68a766 !important;
}
.lockedPanel{
	border-bottom: 1px solid #9a9595 !important;
	cursor: not-allowed;
}
.lockedPanel .synDivNavE{
	background-color: #6d6969 !important;
}
.lockedPanel .synDivNavE:after{
	background-color: #6d6969 !important;
}
.headVulnerable {
	border-bottom: #d40808 2px solid !important;
}
.headVulnerable .synDivNavE{
	background-color: #7d3f3f !important;
}
.headVulnerable .synDivNavE:after{
	background-color: #7d3f3f !important;
}
.headRemediated {
	border-bottom: #327d32 2px solid !important;
}
.headRemediated .synDivNavE{
	background-color: #3a563a !important;
}
.headRemediated .synDivNavE:after{
	background-color: #3a563a !important;
}
.headNotOpened {
	border-bottom: #af863c 2px solid;
}
.headNotOpened .synDivNavE{
	background-color: #af863c;
}
.headNotOpened .synDivNavE:after{
	background-color: #af863c;
}
.headBroken {
	border-bottom: #f1f11f 2px solid !important;
}
.headBroken .synDivNavE{
	background-color: #f1f11f !important;
}
.headBroken .synDivNavE:after{
	background-color: #f1f11f !important;
}
.orange{
	color: #af863c;
}
.openSmall {
	color: #999;
}

.status-selfcheck {
	font-weight: bold;
}

.status-untested {
	color: #af863c !important;
}

.status-fixed {
	color: #089e08 !important;
}

.status-vulnerable {
	color: #d40808 !important;
}

.status-broken {
	color: #f1f11f !important;
}

.dot {
	background-color: grey !important;
}
.status-untested-dot {
	background-color: #af863c !important;
}
.status-fixed-dot {
	background-color: #089e08 !important;
}

.status-vulnerable-dot {
	background-color: #d40808 !important;
}

.status-broken-dot {
	background-color: #f1f11f !important;
}


#exerciseTimeoutModal {
	top:3%;
}
#exerciseTimeoutModal .modal-body {
	height: 400px;
	display: table;
	width: 100%;
	text-align:center;
}

.outouftime {
	display: table-cell;
	vertical-align: middle;
}
#eName{
    font-family: 'Poppins';
    font-weight: 100 !important;
    font-size: 15px !important;
    color: white;
    height: 35px;
    text-align: center;
    width: 100vw;
    position: fixed;
    top: 10px;
    left: 0px;
    z-index:-1;
}

.navbar-default .navbar-nav>.open>a{
		color: #394352 !important;
	
}
#hintMarkdown-md, #selfCheckMarkdown-md{
    max-height: 16vh;
    overflow-y: scroll;
    margin-top: -4px;
}
#hintMarkdownMini-md, selfCheckMarkdownMini-md{
    overflow-y: scroll;
    height: 135px;
    margin-left: -5px;
}
.showHelp{
	color: #1595cf;
}
.showHelp:hover {
    color: #7ad6e0;
}
.flagListStatus{
    margin: 0 auto;
    border-collapse: separate;
    border-spacing: 15px;
    text-align: left;
    margin-top:25px !important;
}
.div100{
	width: 100%;
    height: 100%;
}
#instructionsMarkdownMini-md{
	max-height:150px;
	overflow:scroll;
}
.toolbar{
	display:none;
}
.version_number{
	display:none;
}
.click_to_unmute{
	display:none;
}
.wrapper_video {
    margin-top: 26%;
    margin-left: 6%;
}
.wrapper_video:after {
	content: '';
    display: block;
    background: url(/assets/img/phone.png) no-repeat top left transparent;
    height: 100%;
    width: calc(100% - 1px);
    left: calc(2% + -1px);
    position: absolute;
    z-index: 10;
    background-size: 96%;
    top: calc(3% + 1px);
}
.genymotion_god_default .video { 
    width: 19vw;
    z-index: 5;
}
.toolbarFont{
	font-size: 12px !important;
    font-weight: 100 !important;
}
.emulatorPreload{
	margin-top:25%;
	text-align:center;
}
.emulatorPreload img{
	width:150px;
}
.exerciseInstructionsHr{
    margin-top: 12px;
    margin-bottom: 5px;
}
.headerHR{
	margin-top: 6px;
    margin-bottom: 10px;
}
.sfLogoExercise{
    height: 23px;
    margin-left: 5px;
   margin-right: 0px;
    padding-right: 10px;
    
}
/****** Style Star Rating Widget *****/
.rating {
	border: none;
	float: left;
	margin-left: 28%;
}

.rating>input {
	display: none;
}

.rating>label:before {
	margin: 5px;
	font-size: 3em;
	font-family: FontAwesome;
	display: inline-block;
	content: "\f005";
}

.rating>label {
	color: #ddd;
	float: right;
}
.glow {
	color: #fff;
	-webkit-animation: glow 1.5s ease-in-out infinite alternate;
	-moz-animation: glow 1.5s ease-in-out infinite alternate;
	animation: glow 1.5s ease-in-out infinite alternate;
}
@-webkit-keyframes glow {
  from {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #24d2e7, 0 0 40px #24d2e7, 0 0 50px #24d2e7, 0 0 60px v, 0 0 70px #24d2e7;
  }
  to {
    text-shadow: 0 0 20px #fff, 0 0 30px #0787e8, 0 0 40px #0787e8, 0 0 50px #0787e8, 0 0 60px #0787e8, 0 0 70px #0787e8, 0 0 80px #0787e8;
  }
}
/***** CSS Magic to Highlight Stars on Hover *****/
.rating > input:checked ~ label, /* show gold star when clicked */
.rating:not(:checked) > label:hover, /* hover current star */
.rating:not(:checked) > label:hover ~ label { color: #FFD700;  } /* hover previous stars in list */

.rating > input:checked + label:hover, /* hover current star when changing rating */
.rating > input:checked ~ label:hover,
.rating > label:hover ~ input:checked ~ label, /* lighten current selection */
.rating > input:checked ~ label:hover ~ label { color: #FFED85;  } 
#tournamentDropdown{
    cursor: pointer;
    position: relative;
    margin-left: 20px; 
}
#challengeAnchor{
	border-radius:10px;
}
#challengeAnchor:hover{
	background-color:#e7e7e7 !important;
	
}
.tournamentOpen{
	background-color:#e7e7e7 !important;
}
 
#clipboardPanel{
	background: #333;
	height: calc( 100vh - 40px);
	width: 22%;
	text-align: center;
	position: absolute;
	top: 40px;
	right: 0px;
	z-index:900;
	border-left: 1px solid #428bca;
}
#transparentClipboardPanel{
	background: #00000000;
	height: calc( 100vh - 40px);
	width: 22%;
	text-align: center;
	position: absolute;
	top: 40px;
	right: 0px;
	z-index:900;
}
#clipboardTextarea{
	width: 18vw;
	margin-bottom:20px;
	margin-left:2vw;
	z-index:1000;
	resize: vertical;
}
#mobileDisplay{
	width: 78vw;
	cursor: none;
}
#clipboardText{
    padding-left: 5px;
    padding-right: 5px;
    margin-top:30px;
    font-size:14px;
    color:white;
}
#synInp{
	width:1px;
	height:1px;
	left: 0px;
	bottom: 0px;
	position: fixed;
}
#display{
    height: calc(100vh - 40px);
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    cursor: none;
    overflow:hidden;
}
#sfexercise{
	position: absolute;
    top: 40px;
    height: calc(100vh - 40px);
    background: black;
    display: flex;
    justify-content: center;
    width: 100vw;
    z-index: 1;
}
.flIcon{
height: 32px;
    margin-top: 7px;
    filter: invert(100%);
    z-index: 9;
    display: inline-block;
    margin-right: 5px;
}
.doneIcon{
	filter: invert(86%) !important;
    height: 20px !important;
    position: relative;
    top: 3px;
}
.sidebarPanels{
	min-height: 50px;
	    display: flex;
    align-items: center;
}
.posRT2{
	position:relative;
	top:2px;
}
.line18{
	line-height: 18px;
}
.hoverDiv{
	display:none;
}

.side-menu {
    width:20vw;
    height: auto;
    margin:4em auto 0;
    font-size: 1em;
    line-height: 2em;
    color: #fff;
    font-weight:700;
    text-transform:uppercase;
    position:absolute;
    top:0; 
    bottom:0;
    left: -15vw;
}
.side-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
.side-menu ul li {
  display:block;
    background-color: #333;
    height: 4em;
    padding: 1em 1.5em;
    position: relative;
    -webkit-transition: -webkit-transform 0.5s,     background-color .5s, color .5s;
    transition: transform .5s, background-color .5s, color .5s;
}
/*the colors of the different columns
.side-menu ul li:nth-child(1) { background-color: #00aced;}
.side-menu ul li:nth-child(2) { background-color: #3b5998;}
.side-menu ul li:nth-child(3) { background-color: #00a300;}
.side-menu ul li:nth-child(4) { background-color: #1e7145;}
.side-menu ul li:nth-child(5) { background-color: #ffc40d;}
.side-menu ul li:nth-child(6) { background-color: #cb2027;}
*/
.side-menu ul li:hover {
    background-color: #CCC; /*you can make different colors depending on the nth-child like above*/
    -webkit-transform: translateX(10em);
    transform: translateX(15vw);/*equal to left in the .side-menu*/
}
.side-menu ul li a {
  display:block;
    color: #FFF;
    text-decoration: none;
}
.side-menu ul li span {
    display:block;
    position: absolute;
    font-size:1em;
    line-height: 2em;
    height:4em;
    top:0; 
    bottom:0;
    margin:0 auto;
    padding:1em 1.5em;
    right: 0.16666666666667em;
    color: #F8F6FF;
}
.leftM5{
	left: -5px;
}
.startIcon{
height: 20px !important;
    margin-top: 10px !important;
}
.learnIcon{
    height: 35px !important;
    position: relative;
    top: 0px;
}
.hackFixIcon{
	filter: invert(87%) !important;
}
.exerciseTechSmall{
	    font-size: 11px;
    color: #CCC;
    margin-left: 4px;
}
.top5VH {
        top: 40px;
}


.navDetails {
    visibility: hidden;
    -webkit-transform: rotateX(-180deg);
    transform: rotateX(-180deg);
    -webkit-transform-origin: top center;
    transform-origin: top center;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: .3s transform ease;
    transition: .3s transform ease;
    background: #555;
    width: 200%;
    margin-left: -50%;
    padding: 10px;
    margin-top: -4px;
    border-radius: 10px;
}

.exerciseNavbar li:nth-of-type(2){
  border-left: 1px solid #3a3a3a !important;
}
.lastNavbarE{
  border-right: 1px solid #3a3a3a !important;
}


#exitExerciseResultsTable tr td:nth-child(1){
	width:33%
}
#exitExerciseResultsTable tr td:nth-child(2){
	width:33%;
	text-align: center;
}
#exitExerciseResultsTable tr td:nth-child(3){
	width:34%;
}
#exitExerciseResultsTable td {
    padding: 10px;
}
#exitExerciseResultsTable {
    border-collapse: collapse;
    text-align:center;
}
#exitExerciseResultsTable tr {
    border: 1px solid #CCC;
}
.lastNavbarE .synDivNavE:after{
  width:0px;
  height:0px;
  border:0px;
}
/*
.navbarE:hover .navDetails {
  max-height: none;
  overflow: visible;
  visibility: visible;
  -webkit-transform: rotateX(0deg);
          transform: rotateX(0deg);
}
*/
.exerciseSetupDiv{
	    margin-left: -4px;
    margin-right: -4px;
}

.sfNavbarN {
    background: #333 !important;
}
.activePanel{
	background: #555 !important;
}
.activePanel:after{
	background: #555 !important;
}
.backdropHidden{
	display:none;
}
.backdropVisible{
	display: block !important;
}
@media ( max-width : 1465px) {

	#eName{
		display:none !important;
	}
}

@media ( max-width : 1260px) {
	
	
	.hideCollapsed {
		display: none !important;
	}
	.collapsedOverflow{
		height:100% !important;
	}
}
@media ( max-width : 850px) {
	#eName{
	    display: none !important;
    }
    #tournamentDropdown{
    	display:none !important;
    }
	
	.sfLogoExercise{
		display: none !important;
	}
	.exerciseNavbar {
	    left: 5px !important;
	}

}
.panel-danger>.panel-heading {
    color: #a94442;
    background-color: #dc7373;
    border-color: #ebccd1;
}  
.panel-success>.panel-heading {
    color: #3c763d;
    background-color: #afde9b;
    border-color: #089e08;
}
.panel-danger {
    border-color: #ebccd1 !important;
}
.panel-success {
    border-color: #089e08 !important;
}
.panel {
    margin-bottom: 20px;
    background-color: #fff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05);
    box-shadow: 0 1px 1px rgba(0,0,0,.05);
}
.panel-heading {
    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}
.panel-title {
    font-size: 50px;
    font-weight: bold;
    color: #fff;
    line-height: 45px;
    padding-top: 10px;
    letter-spacing: -0.8px;
        margin-top: 0;
    margin-bottom: 0;
}
.panel-body {
    padding: 15px;
}
#appStatusDiv{
	    margin-top: 5px;
}
#kbStackMD{
    height: 54vh;
    overflow: scroll;
}
#kbStackModal{
	top: 41px;
	-webkit-box-shadow: 0px 0px 5px 0px #000;
    -moz-box-shadow: 0px 0px 5px 0px #000;
    box-shadow: 0px 0px 5px 0px #000;
	overflow:hidden !important;
	width: 30vw;
	min-width:400px;
	display: block;
}
#kbStackModal .modal-body{

padding-top: 15px !important;
    padding-left: 15px;
    padding-right: 15px;
}
#kbStackModal .modal-dialog{
	margin: 0px;
    top: 0vh;
    
}
#kbStackModal .modal-content {
    width: 30vw;
   	height: 96vh;
   	min-width:400px;
}
.largeStackKBPanel{
	width: 55vw !important;
}
.largeKBPanel{
	width: 55vw !important;
}
.modalBodyPaddingRight30{
    padding-right: 30px !important;
}
#kbStackModal .modal-header {
    padding: 7px 20px !important;
}
#kbStackModal .modal-footer {
    padding: 7px 20px !important;
    margin-top: 0px;
    text-align: right;
    border-top: 1px solid #e5e5e5;
}
#kbMD{
    height: 81vh;
    overflow-y: scroll;
}
#kbModal{
    top: 41px;
    -webkit-box-shadow: 0px 0px 5px 0px #000;
    -moz-box-shadow: 0px 0px 5px 0px #000;
    box-shadow: 0px 0px 5px 0px #000;
    overflow: hidden;
    right: 0px;
    width: 38vw;
    min-width:400px;
    left: auto;
    display:block;
}

#kbModal .modal-dialog{
    margin: 0px;
    top: 0vh;
    width: 38vw;

}

#kbModal .modal-body{
	padding-top: 15px !important;
    padding-left: 15px;
    padding-right: 15px;
}
#kbModal .modal-content {
    width: 38vw;
    min-width:400px;
    height: 96vh;
}

#kbModal .modal-header {
    padding: 7px 20px !important;
}
#kbModal .modal-footer {
    padding: 7px 20px !important;
    margin-top: 0px;
    text-align: right;
    border-top: 1px solid #e5e5e5;
}
#getHintModal{
    z-index: 99999;
    top: 24vh;
}
@keyframes glowing {
  0%  { box-shadow: 0 0  0px #ffc107; }
  40% { box-shadow: 0 0 15px #ffc107; }
  60% { box-shadow: 0 0 15px #ffc107; }
  100% { box-shadow: 0 0 0px #ffc107; }
}

.button-glow {
  animation: glowing 3s infinite;
}
.botPanel{
	height:87vh
}
.instructionsWizard {
    overflow-y: scroll;
    height: 49vh;
    margin-right: 0px;
}
.instructionsWizard img {
    max-width: 100%;
    max-height: 675px;
}
.block{
	display: block !important;
}
#conectionLostModal{
	top:20vh;
}

#flagPanel .ng-hide-add, #flagPanel .ng-hide-remove {
	-webkit-transition: 0.25s ease-in-out opacity;
	-moz-transition: 0.25s ease-in-out opacity;
	-ms-transition: 0.25s ease-in-out opacity;
	-o-transition: 0.25s ease-in-out opacity;
	transition: 0.25s ease-in-out opacity;
	opacity: 1;
}

#flagPanel .ng-hide {
	opacity: 0;
}

.lower{
	height:31vw;
	overflow:scroll;
}
.largeFlagPanel{
	width: 55vw !important;
}
#flagPanel{
	width: 30vw;
	min-width:400px;
    background: white;
    padding: 15px 0px 15px 0px;
    position: fixed;
    border-radius: 5px;
    -webkit-box-shadow: 0px 0px 5px 0px #000;
    -moz-box-shadow: 0px 0px 5px 0px #000;
    box-shadow: 0px 0px 5px 0px #000;
    top: 41px;
    height: 96vh;
    z-index: 9999;
    left: 0px;
}
.flagStatusButtons{
	float: right;
}
.red{
	color:red;
}
.green{
	color:green;
}
.lblue{
	color: #1277c1;
}
.dot {
    height: 12px;
    width: 12px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 5px;
}
.hackIconFlag{
    height: 40px;
    width: 40px;
    background-color: beige;
    border-radius: 50%;
    margin-top: 0px;
    padding-top: 5px;
}
.exerciseTrophy{
width: 28px;
    height: 28px;
    margin-top: 2px;
    }

.scoreSvgExercise{
	margin-left:5px;
	margin-top:-2px;
}
.scoreTextExercise{
	margin-bottom:0px;
	margin-top:-13px;
	font-size: 70% !important;
}
.marginLeftM25{
	margin-left:-25px;
}
.statusColumn{
	margin-top: 8px;
}
.trophyColumn{
	border-right: 1px solid #eae9e9;
}
.pointsColumn{
	border-left: 1px solid #eae9e9;
}
.trophyText{
	margin-top:0px;
}
.startIconM{
	padding:9px !important;
}

.lockedDetails{
	    display: none !important;
}
#selfCheckMarkdown-md p{
	font-size: 13px;	
	margin-bottom: 5px;
	font-weight: bold;
	font-family: monospace;
}
#hintMarkdown-md p{
	font-size:13px;
	margin-bottom: 5px;
}

.exclamation{
	border-radius: 50%;
    position: absolute;
    top: 4px;
    right: 1px;
    background-color: red;
    width: 18px;
    height: 18px;
    font-size: 15px;
    font-weight: 700;
    z-index: 99;
    padding-right: 1px;
}
.red-bg{
    background-color: #7d3f3f;
}
.exerciseTitleDiv{
	max-width:350px;
	margin: 0 auto;
}
.svgLeftRightAlign {
    width: 18px;
    margin-bottom: 2px;
}
.alignRight{
	left: auto !important;
	right: 0px !important;
}
.alignKBLeft{
	left: 0px !important;
	right: auto !important;
}
.opacity09{
	    opacity: 0.9;
}
.menuOpacity{
	opacity: 0.5;
	width: 100%;
    text-align: right;
}
#cIframe{
	height:1px;
	width:1px;
	opacity:0;
}
#restoreCodeModal{
	top: 20%;
	z-index:9999 !important;
}
.tui-editor-contents{
	font-size: 14px !important;
	line-height:24px;
	text-align: justify;
}
.tui-editor-contents p{
	font-size: 14px !important;
	text-align: justify;
		line-height:24px;
}
#kbStackMD .tui-editor-contents img, #kbMD .tui-editor-contents img{
    max-width: 94% !important;
    display:block;
    margin:auto;
}
.tui-editor-contents video {
    width: 94% !important;
}
.instructionsWizard .tui-editor-contents strong {
    font-weight: bold;
    color: #f1f1f1;
    padding: 0px 2px 0px 2px;
    background-color: #4a4949;
}
.sfcee{
	    color: #e6e6e6 !important;
    font-size: 22px;
    margin-left: -5px;
    display: inline-block;
}
.minWidth170{
	min-width: 175px;
}